> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> Returns the calling user's REST API keys (active only).

Hashed tokens are never returned.



## OpenAPI

````yaml get /api-key
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /api-key:
    get:
      tags:
        - API Keys
      summary: List API keys
      description: |-
        Returns the calling user's REST API keys (active only).

        Hashed tokens are never returned.
      operationId: listApiKeys
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        userId:
                          type: string
                        name:
                          type: string
                        workspaceScope:
                          type: string
                          enum:
                            - all
                            - specific
                        workspaceIds:
                          type: array
                          items:
                            type: string
                        accessTokenExpiresAt:
                          type: number
                        createdAt:
                          type: number
                        lastUsedAt:
                          type: number
                      required:
                        - _id
                        - userId
                        - name
                        - workspaceScope
                        - workspaceIds
                        - accessTokenExpiresAt
                        - createdAt
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````